# RakNetGUID Struct Reference

`#include <RakNetTypes.h>`

List of all members.

## Detailed Description

Uniquely identifies an instance of RakPeer. Use RakPeer::GetGuidFromSystemAddress() and RakPeer::GetSystemAddressFromGuid() to go between SystemAddress and RakNetGUID Use RakPeer::GetGuidFromSystemAddress(UNASSIGNED_SYSTSEM_ADDRESS) to get your own GUID

The documentation for this struct was generated from the following files:

- C:/RakNet/Source/RakNetTypes.h
- C:/RakNet/Source/RakNetTypes.cpp